       >>SOURCE FORMAT IS FIXED
       identification division.
       program-id. linseq0.
      *    copy from store -> sequential variable record length.
       environment division.
       configuration section.
       input-output section.
       file-control.
           select outfile  assign to "outfile"
               organization is line sequential
               access mode is sequential
               .
       data division.
       file section.
       fd  outfile
           record is varying in size
           depending on rec-length-out.
       01  rec-out-record.
           03  rec-out-byte            pic x(0001) occurs 256.
       01  rec-out-record2.
           03  rec-out-part            pic x(0010) occurs  25.
       working-storage section.
       01  programnamex                pic x(0008) value "linseq0".
       01  programversion              pic x(0008) value "0.0.1".
       01  programcompiled             pic x(0010) value "07/03/2012".
       01  returncodex                 pic 9(05) comp.
       01  filler.
           03  index1                  pic 9(05) comp value 0.
           03  rec-length-in           pic 9(05) comp value 0.
           03  rec-length-out          pic 9(05) comp value 0.

       procedure division.
       mainline section.
       p00.
           open output outfile
           perform 
               varying index1 from 1 by 1 until index1 > 8
               move "0123456789" to rec-out-part (index1)
               add 10 to rec-length-out
           end-perform
           display "out: " rec-length-out " " rec-out-record
           write rec-out-record
           display "done."
           close outfile
               .
       peos.
           stop run.
