       >>SOURCE FORMAT IS FIXED
       identification division.
       program-id. fixseq1.
      *    copy console input -> sequential fixed record length.
       environment division.
       configuration section.
       input-output section.
       file-control.
           select outfile  assign to "outfile"
               access mode is sequential
               .
       data division.
       file section.
       fd  outfile
           record contains 80 characters.
       01  rec-out-record.
           03  rec-out-byte            pic x(0001) occurs 80.
       working-storage section.
       01  programnamex                pic x(0008) value "fixseq1".
       01  programversion              pic x(0008) value "0.0.1".
       01  programcompiled             pic x(0010) value "07/03/2012".
       01  returncodex                 pic 9(05) comp.
       01  filler.
           03  rec-length-in           pic 9(05) comp value 0.
           03  rec-length-out          pic 9(05) comp value 0.
           03  sw-eof-input            pic x(0001)  value low-values.
             88   eof-input                         value high-value.
       01  rec-in-record.
           03  rec-in-byte             pic x(0001) occurs 256.

       procedure division.
       mainline section.
       p00.
           open output outfile
           perform read-seq-record
               until eof-input
           close outfile
               .
       peos.
           stop run.
       read-seq-record section.
       p00.
           accept rec-in-record
           if rec-in-record = "end" or "EOD"
               move high-value to sw-eof-input
               go to peos    
               .
           string rec-in-record 
               delimited by "   "
               into rec-out-record
               with pointer rec-length-out
           display "in:  " rec-length-in  " " rec-in-record
           display "out: " rec-length-out " " rec-out-record
           write rec-out-record
           display "done."
               .
       peos.
           exit.
